package com.jobs.lib_v1.misc;

import java.net.URLEncoder;

import com.jobs.lib_v1.net.http.DataHttpConnection;

/**
 * 应用的基本数据处理
 * 
 * @author xmwen
 * @date 2013-05-25
 */
public class BaseDataProcess {
	/**
	 * 发送 Crash 报告
	 * 
	 * @author xmwen
	 * @date 2013-05-25
	 * @param crashData Crash 报告信息
	 * @return byte[] 不为 null 代表没有出错；返回值目前没有做约定
	 */
	public static byte[] SendCrashReport(String crashData) {
		String errorData = StringCoreUtil.base64Encode(crashData.toString());
		String postData = String.format("data=%s&ver=2&action=crash-report", URLEncoder.encode(errorData));
		DataHttpConnection conn = new DataHttpConnection();
		return conn.Request("util/track_client_active.php?action=crash-report", postData.getBytes(), "51job-android-crash");
	}
}
